%define module      CPAN-Mini
%define name        perl-%{module}
%define version     0.562
%define revision    0.552
%define release     %mkrel 1

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Create a minimal mirror of CPAN
License:    GPL or Artistic
Group:      Development/Perl
URL:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/Config/%{module}-%{revision}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:  perl-devel
%endif
BuildRequires:  perl(URI)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Compress::Zlib)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
CPAN::Mini provides a simple mechanism to build and update a minimal mirror of
the CPAN on your local disk. It comes with a small utility, minicpan(1), to
create and update such mirrors.

%prep
%setup -q -n %{module}-%{revision}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/CPAN
%{_mandir}/*/*
%{_bindir}/minicpan




%changelog
* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.562-1mdv2008.0
+ Revision: 55686
- update to new version 0.562


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.55.2-1mdv2007.0
+ Revision: 93907
- 0.552

* Sat Nov 18 2006 Olivier Thauvin <nanardon@mandriva.org> 0.55.1-1mdv2007.1
+ Revision: 85442
- 0.551
- 0.55
- Import perl-CPAN-Mini

* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50.0-1mdv2007.0
- New version (upstream version 0.500)

* Thu Nov 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.40-1mdk
- 0.40

* Fri Oct 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.38-1mdk
- 0.38

* Tue Oct 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.36-3mdk
- Fix BuildRequires
- %%mkrel

* Sat Oct 01 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.36-2mdk
- buildrequires fix

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.36-1mdk
- 0.36

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.24-1mdk
- Initial MDK release.

